## ros-humble-pal-gazebo-worlds 4.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.0)
project(pal_gazebo_worlds)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake_auto REQUIRED)

# PAL Robotics stricter build flags, other developers should not worry about this
find_package(ament_cmake_pal QUIET)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(INSTALL_TO_SHARE config launch models worlds urdf meshes)

=== debian/changelog ===
ros-humble-pal-gazebo-worlds (4.0.0-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-pal-gazebo-worlds (3.0.4-1jammy) jammy; urgency=high

  * Set gazebo publish rate
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-pal-gazebo-worlds (3.0.3-1jammy) jammy; urgency=high

  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request common/pal_gazebo_worlds!55
  * cleanup
  * Merge branch 'linters' into 'humble-devel'
    Linters
    See merge request common/pal_gazebo_worlds!54
  * linters
  * CONTRIBUTING.md
  * add linters
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request common/pal_gazebo_worlds!51
  * restore original LICENSE
  * update copyright and license
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request common/pal_gazebo_worlds!53
  * rm ros1 launcher and test
  * Merge branch 'refactor_ld' into 'humble-devel'
    Refactor LaunchDescription population
    See merge request common/pal_gazebo_worlds!52
  * refactor LaunchDescription population
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request common/pal_gazebo_worlds!50
  * update maintainers
  * Merge branch 'humble_fixes' into 'humble-devel'
    update way of launching gazebo
    See merge request common/pal_gazebo_worlds!48
  * update way to launch gazebo
  * Merge branch 'foxy_obstacle_avoidance' into 'foxy-devel'
    Foxy obstacle avoidance
    See merge request common/pal_gazebo_worlds!43
  * add gazebo_ros_state plugin
  * Merge branch 'foxy_obstacle_avoidance' into 'foxy-devel'
    Foxy obstacle avoidance
    See merge request common/pal_gazebo_worlds!41
  * move corridor worlds to origin
  * empty room world
  * small cylinder model
  * corridor_85cm world
  * Contributors: Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 20 Oct 2022 00:00:00 -0000

ros-humble-pal-gazebo-worlds (3.0.2-1jammy) jammy; urgency=high

  * Add missing ament_cmake_auto dependency
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-humble-pal-gazebo-worlds (3.0.1-1jammy) jammy; urgency=high

  * Remove ROS1 dependencies
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-humble-pal-gazebo-worlds (3.0.0-1jammy) jammy; urgency=high

  * Add notice about missing gazebo services
  * Parse properly world_name
  * Fixes to gazebo paths
  * Fix path of models env variable
  * First foxy launch file
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.40-1jammy) jammy; urgency=high

  * Merge branch 'add-small-office-inventory' into 'erbium-devel'
    added small office inventory (clone of small office)
    See merge request common/pal_gazebo_worlds!38
  * added small office inventory (clone of small office)
  * Merge branch 'featured-world' into 'erbium-devel'
    added featured world for ari navigation simulation
    See merge request common/pal_gazebo_worlds!37
  * added featured world for ari navigation simulation
  * Contributors: Federico Nardi, Procópio Stein, procopiostein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 26 May 2020 00:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.39-1jammy) jammy; urgency=high

  * added calibration room
  * changing floor texture
  * added a new world based on small_office with wooden textured floor
  * Contributors: Procópio Stein, federiconardi, procopiostein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 04 May 2020 00:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.38-1jammy) jammy; urgency=high

  * Merge branch 'swing_interp' into 'erbium-devel'
    Add world for swing interpolator test
    See merge request common/pal_gazebo_worlds!35
  * Add world for swing interpolator test
  * Contributors: Adrià Roig, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 07 Apr 2020 00:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.37-1jammy) jammy; urgency=high

  * Merge branch 'world' into 'erbium-devel'
    Modify worlds for tests
    See merge request common/pal_gazebo_worlds!34
  * Modify worlds for tests
  * Contributors: Adrià Roig, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 30 Mar 2020 00:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.36-1jammy) jammy; urgency=high

  * Merge branch 'tutorials-worlds' into 'erbium-devel'
    Gazebo worlds for ARI simulation
    See merge request common/pal_gazebo_worlds!32
  * Gazebo worlds for ARI simulation
  * Contributors: Sara Cooper, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 05 Feb 2020 00:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.35-1jammy) jammy; urgency=high

  * Merge branch 'dynamic-obstacles' into 'erbium-devel'
    added simple box model for dynamic obstacles integration test
    See merge request common/pal_gazebo_worlds!31
  * modified object model name
  * added simple box model for dynamic obstacles integration test
  * Contributors: Federico Nardi, Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 25 Oct 2019 00:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.34-1jammy) jammy; urgency=high

  * Merge branch 'planner_chunk' into 'erbium-devel'
    added a new t_shaped world
    See merge request common/pal_gazebo_worlds!30
  * added a new t_shaped world
  * Contributors: Procópio Stein, Sai Kishor Kothakota

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 17 Oct 2019 00:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.33-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-pal-gazebo-worlds
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-pal-gazebo-worlds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ros-workspace
Description: Simulation worlds for PAL robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pal-gazebo-worlds//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-pal-gazebo-worlds 4.0.4

=== debian/changelog ===
ros-humble-pal-gazebo-worlds (4.0.4-1bookworm) bookworm; urgency=high

  * Use single quotes
  * Fix typo
  * Use uppercase for debug argument choices
  * fit the previous argument declaration
  * Allow a "debug" argument to start the simu in a xterm+gdb session
  * Contributors: Maximilien Naveau, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-humble-pal-gazebo-worlds (4.0.3-1bookworm) bookworm; urgency=high

  * Update pal_gazebo.launch.py
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 21 Dec 2023 16:00:00 -0000

ros-humble-pal-gazebo-worlds (4.0.2-1bookworm) bookworm; urgency=high

  * use OpaqueFunction to check world path
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 17 Dec 2023 16:00:00 -0000

ros-humble-pal-gazebo-worlds (4.0.1-1bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-pal-gazebo-worlds (4.0.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-humble-pal-gazebo-worlds (3.0.4-1bookworm) bookworm; urgency=high

  * Set gazebo publish rate
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-humble-pal-gazebo-worlds (3.0.3-1bookworm) bookworm; urgency=high

  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request common/pal_gazebo_worlds!55
  * cleanup
  * Merge branch 'linters' into 'humble-devel'
    Linters
    See merge request common/pal_gazebo_worlds!54
  * linters
  * CONTRIBUTING.md
  * add linters
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request common/pal_gazebo_worlds!51
  * restore original LICENSE
  * update copyright and license
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request common/pal_gazebo_worlds!53
  * rm ros1 launcher and test
  * Merge branch 'refactor_ld' into 'humble-devel'
    Refactor LaunchDescription population
    See merge request common/pal_gazebo_worlds!52
  * refactor LaunchDescription population
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request common/pal_gazebo_worlds!50
  * update maintainers
  * Merge branch 'humble_fixes' into 'humble-devel'
    update way of launching gazebo
    See merge request common/pal_gazebo_worlds!48
  * update way to launch gazebo
  * Merge branch 'foxy_obstacle_avoidance' into 'foxy-devel'
    Foxy obstacle avoidance
    See merge request common/pal_gazebo_worlds!43
  * add gazebo_ros_state plugin
  * Merge branch 'foxy_obstacle_avoidance' into 'foxy-devel'
    Foxy obstacle avoidance
    See merge request common/pal_gazebo_worlds!41
  * move corridor worlds to origin
  * empty room world
  * small cylinder model
  * corridor_85cm world
  * Contributors: Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Oct 2022 16:00:00 -0000

ros-humble-pal-gazebo-worlds (3.0.2-1bookworm) bookworm; urgency=high

  * Add missing ament_cmake_auto dependency
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Mar 2021 16:00:00 -0000

ros-humble-pal-gazebo-worlds (3.0.1-1bookworm) bookworm; urgency=high

  * Remove ROS1 dependencies
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Mar 2021 16:00:00 -0000

ros-humble-pal-gazebo-worlds (3.0.0-1bookworm) bookworm; urgency=high

  * Add notice about missing gazebo services
  * Parse properly world_name
  * Fixes to gazebo paths
  * Fix path of models env variable
  * First foxy launch file
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Mar 2021 16:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.40-1bookworm) bookworm; urgency=high

  * Merge branch 'add-small-office-inventory' into 'erbium-devel'
    added small office inventory (clone of small office)
    See merge request common/pal_gazebo_worlds!38
  * added small office inventory (clone of small office)
  * Merge branch 'featured-world' into 'erbium-devel'
    added featured world for ari navigation simulation
    See merge request common/pal_gazebo_worlds!37
  * added featured world for ari navigation simulation
  * Contributors: Federico Nardi, Procópio Stein, procopiostein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.39-1bookworm) bookworm; urgency=high

  * added calibration room
  * changing floor texture
  * added a new world based on small_office with wooden textured floor
  * Contributors: Procópio Stein, federiconardi, procopiostein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 03 May 2020 16:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.38-1bookworm) bookworm; urgency=high

  * Merge branch 'swing_interp' into 'erbium-devel'
    Add world for swing interpolator test
    See merge request common/pal_gazebo_worlds!35
  * Add world for swing interpolator test
  * Contributors: Adrià Roig, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Apr 2020 16:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.37-1bookworm) bookworm; urgency=high

  * Merge branch 'world' into 'erbium-devel'
    Modify worlds for tests
    See merge request common/pal_gazebo_worlds!34
  * Modify worlds for tests
  * Contributors: Adrià Roig, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 29 Mar 2020 16:00:00 -0000

ros-humble-pal-gazebo-worlds (2.0.36-1bookworm) bookworm; urgency=high

  * Merge branch 'tutorials-worlds' into 'erbium-devel'
    Gazebo worlds for ARI simulation


## ros-humble-pal-gazebo-worlds 4.3.0

=== debian/changelog ===
ros-humble-pal-gazebo-worlds (4.3.0-1bookworm) bookworm; urgency=high

  * added new aruco 0
  * Changed marker size
  * Contributors: martinaannicelli

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 26 Aug 2024 16:00:00 -0000

ros-humble-pal-gazebo-worlds (4.2.1-1bookworm) bookworm; urgency=high

  * Merge branch 'martinaannicelli-humble-devel-patch-03419' into 'humble-devel'
    Update pal_office_w_aruco.world
    See merge request common/pal_gazebo_worlds!71
  * Update pal_office_w_aruco.world
  * Contributors: antoniobrandi, martinaannicelli

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 19 Aug 2024 16:00:00 -0000

ros-humble-pal-gazebo-worlds (4.2.0-1bookworm) bookworm; urgency=high

  * Merge branch 'abr/pal-office-w-docks' into 'humble-devel'
    added pal_office_w_docks world
    See merge request common/pal_gazebo_worlds!70
  * added pal_office_w_docks world
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 19 Aug 2024 16:00:00 -0000

ros-humble-pal-gazebo-worlds (4.1.0-1bookworm) bookworm; urgency=high

  * Merge branch 'man/added-aruco-office' into 'humble-devel'
    added pal_office_w_aruco
    See merge request common/pal_gazebo_worlds!69
  * Update small_office.world
  * added pal_office_w_aruco
  * Contributors: antoniobrandi, martinaannicelli

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 18 Aug 2024 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
-Homepage: 
+Homepage: https://github.com/pal-robotics/pal_gazebo_worlds/
 Standards-Version: 3.9.2
 
 Package: ros-humble-pal-gazebo-worlds

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pal-gazebo-worlds//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pal-gazebo-worlds//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-pal-gazebo-worlds//opt/ros/humble/opt/pal_gazebo_worlds/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
